package com.company;

import javax.swing.*;
import java.awt.*;

public class ChatRoomGUI extends JFrame{
    private final String WINDOWS_TITLE = "AUT Chat Room";
    private final int WIDTH = 500, HEIGHT = 500;
    private final int X = 100, Y = 100;
    private ChatArea chatBox;
    private MessageArea messageArea;
    private ParticipantsArea participantsArea;

    public ChatRoomGUI() {
        super();
        this.setTitle(WINDOWS_TITLE);
        this.setLayout(new BorderLayout());
        this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        this.setSize(WIDTH, HEIGHT);
        this.setLocation(X, Y);
        chatBox = new ChatArea();
        this.add(chatBox, BorderLayout.CENTER);
        messageArea = new MessageArea();
        messageArea.sendingMassage();
        this.add(messageArea , BorderLayout.SOUTH);
        participantsArea = new ParticipantsArea();
        participantsArea.showOnlines();
        this.add(participantsArea , BorderLayout.WEST);
        this.setVisible(true);
    }

    public void addMessage(String userName , String message){
        chatBox.addMessage(userName , message);
    }

    public void addNewParticipant(String userName){
        participantsArea.addOnlineUser(userName);
    }

    public void removeParticipant(String userName){
        participantsArea.removeOnlineUser(userName);
    }

    public ParticipantsArea getParticipantsArea(){
        return participantsArea;
    }

}

